%define oname camlp-streams
%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Version:        5.0.1
Release:        %mkrel 2
Summary:        The Stream and Genlex libraries for use with Camlp4 and Camlp5

Group:          Development/OCaml
License:        LGPL-2.1-only WITH OCaml-LGPL-linking-exception
URL:            https://github.com/ocaml/%{oname}
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-dune >= 2.7

%description
The camlp-streams package provides two library modules:
- Stream: imperative streams, with in-place update and memoization of
  the latest element produced.
- Genlex: a small parameterized lexical analyzer producing streams of
  tokens from streams of characters.

The two modules are designed for use with Camlp4 and Camlp5:
- The stream patterns and stream expressions of Camlp4/Camlp5 consume
  and produce data of type `'a Stream.t`.
- The Genlex tokenizer can be used as a simple lexical analyzer for
  Camlp4/Camlp5-generated parsers.

The Stream module can also be used by hand-written recursive-descent
parsers, but is not very convenient for this purpose.

The Stream and Genlex modules have been part of the OCaml standard
library for a long time, and have been distributed as part of the core
OCaml system.  They will be removed from the OCaml standard library at
some future point, but will be maintained and distributed separately in
this camlp-streams package.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n camlp-streams-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel



%changelog
* Sat Apr 05 2025 pterjan <pterjan> 5.0.1-2.mga10
+ Revision: 2173717
- Rebuild for ocaml 5.3.0

* Thu Oct 06 2022 pterjan <pterjan> 5.0.1-1.mga9
+ Revision: 1895154
- Update to 5.0.1

* Thu May 19 2022 pterjan <pterjan> 5.0-1.mga9
+ Revision: 1858995
- imported package ocaml-camlp-streams

